

Global $i
Global $filereadline
Global $filecountlines

AutoItSetOption ("WinTitleMatchMode", 2)

#include <File.au3>

MsgBox (0, "AnyPaste version 3, by Samuel Murray, 2013", "Read the readme file for instructions.  Remember, the shortcuts are:" & @CRLF & @CRLF & "Ctrl+L = paste next line of text" & @CRLF & "Ctrl+K = select all and then paste next line of text" & @CRLF & @CRLF & "Ctrl+M = does the same as the down arrow" & @CRLF & @CRLF & "Ctrl+< = put previous line into memory" & @CRLF & "Ctrl+> = put next line into memory" & @CRLF & @CRLF & "To pause or exit the script, click or right-click the round blue icon in the system tray.", 0)

HotKeySet ("^l", "justpaste")
HotKeySet ("^k", "selnpaste")

HotKeySet ("^m", "downarrow")

HotKeySet ("^,", "prevline") ; comma is <
HotKeySet ("^.", "nextline") ; fullstop is >

; HotKeySet ("^m", "tab") ; from version 2
; HotKeySet ("^o", "downarrow") ; from version 2
; HotKeySet ("^p", "tab") ; from version 2

$fileopendialog = FileOpenDialog ("Select the input file", @ScriptDir, "Text files (*.txt)|All files (*.*)", 1)
$fileopen = FileOpen ($fileopendialog, 128)

$filecountlines = _FileCountLines ($fileopendialog)

$wintitle = InputBox ("Enter target window's title", "Enter a unique part of the target window's title, so that the script will know which open window on your computer is the right one.", "")

$i = 1

$filereadline = FileReadLine ($fileopen, $i)
TrayTip ("Next line is:", $filereadline, 3)

While 100
If $i > $filecountlines Then
Sleep (100)
$asktoexit = MsgBox (4, "All lines pasted", "It looks like all lines were pasted.  Do you wish to exit the script?", 0)
If $asktoexit = 6 Then
Exit
ElseIf $asktoexit = 7 Then
$i = $filecountlines - 1
$filereadline = FileReadLine ($fileopen, $i)
TrayTip ("Next line is:", $filereadline, 3)
EndIf
EndIf
WEnd

Func justpaste()

WinActivate ($wintitle, "")
WinWaitActive ($wintitle, "")

$filereadline = FileReadLine ($fileopen, $i)
ClipPut ($filereadline)
Sleep ("100")
Send ("^v")
Sleep ("100")

$i = $i + 1

$filereadline = FileReadLine ($fileopen, $i)
TrayTip ("Next line is:", $filereadline, 3)

EndFunc

Func selnpaste()

WinActivate ($wintitle, "")
WinWaitActive ($wintitle, "")

$filereadline = FileReadLine ($fileopen, $i)
ClipPut ($filereadline)
Sleep ("100")
Send ("^a")
Sleep ("100")
Send ("^v")
Sleep ("100")

$i = $i + 1

$filereadline = FileReadLine ($fileopen, $i)
TrayTip ("Next line is:", $filereadline, 3)

EndFunc

Func downarrow()

WinActivate ($wintitle, "")
WinWaitActive ($wintitle, "")

Sleep ("100")
Send ("{DOWN}")
Sleep ("100")

EndFunc

Func prevline()

$i = $i - 1
$filereadline = FileReadLine ($fileopen, $i)
TrayTip ("Next line is:", $filereadline, 3)

EndFunc

Func nextline()

$i = $i + 1
$filereadline = FileReadLine ($fileopen, $i)
TrayTip ("Next line is:", $filereadline, 3)

EndFunc

